# ALUTs Endpoint

Returns Address Lookup Tables for specified market addresses. Only ALUTs used in recent arbitrage transactions (last 12 hours) are stored and indexed.&#x20;

**Note:** we validate all ALUTs and will only return ONE per market where > 80% of the required accounts for that market exist. However, we cannot control if the ALUT is closed or had it's accounts changed between the time you called the endpoint and when it's used (happens on rare occasions).

<mark style="color:green;">**`POST`**</mark> `https://api.getfomo.bot/aluts`

**Request**

```bash
curl -X POST https://api.getfomo.bot/aluts \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key-here" \
  -d '{
    "markets": [
      "5Q544fKrFoe6tsEbD7S8EmxGTJYAKtTVhAW5Q5pge4j1",
      "HJPjoWUrhoZzkNfRpHuieeFk9WcZWjwy6PBjZ81ngndJ"
    ]
  }'
```

**Body Fields**

<table><thead><tr><th width="235.3203125">Field</th><th width="118.01953125">Type</th><th width="142.41015625">Default</th><th>Description</th></tr></thead><tbody><tr><td><strong>markets</strong></td><td>string[]</td><td>--</td><td>Market/pool addresses to fetch ALUTs for.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true,
  "count": 1,
  "aluts": [
    {
      "market": "5Q544fKrFoe6tsEbD7S8EmxGTJYAKtTVhAW5Q5pge4j1",
      "alut": "2immgwYNHBbyVQKVGCEkgWpi53bLwWNRMB5G2nbgYV17"
    },
    {
      "market": "HJPjoWUrhoZzkNfRpHuieeFk9WcZWjwy6PBjZ81ngndJ",
      "alut": null
    }
  ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid market",
  "invalid": ["InvalidMarket123"]
}
```

{% endtab %}

{% tab title="429" %}

```json
{
  "error": "Rate limit exceeded",
  "limit": 50,
  "unit": "requests/second"
}
```

{% endtab %}
{% endtabs %}
